
Redmine - Feature #1803

Allow custom issue fields as column in issues overview

2008-08-21 14:13 - Reinout van Schouwen

Status: Closed Start date: 2008-08-21

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

It would be useful to be able to show custom field values in the issues overview as an extra column.

E.g. I have a custom field 'Points' in my issue trackers. In the filtered table on the Issues page, I'd like to view the values of that field

and be able to sort on those values.

History

#1 - 2008-11-12 10:37 - Reinout van Schouwen

I found that changing the method 'columns' in the Query class like this:

  def columns

    if has_default_columns?

      available_columns.select {|c| Setting.issue_list_default_columns.include?(c.name.to_s) || c.instance_of?

(QueryCustomFieldColumn) }

    else

      # preserve the column_names order

      column_names.collect {|name| available_columns.find {|col| col.name == name}}.compact

    end

  end

 will make custom fields be shown on the main issue table. However, there is no way to select custom fields, you just get all of them. Also, custom

fields are not sortable by definition (hard coded in QueryCustomFieldColumn class)

#2 - 2008-11-12 10:54 - Sergej Jegorov

+1

#3 - 2008-11-21 11:17 - David Holm

+1

#4 - 2008-12-01 00:27 - Vasia Pupkin

+1

#5 - 2008-12-30 08:14 - ccc ccc

+1

#6 - 2009-02-27 09:18 - Jens Goldhammer

+1

#7 - 2009-03-18 21:15 - Mark P

Does this help:  http://www.redmine.org/projects/1/repository/revisions/889

#8 - 2009-05-13 19:09 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Indeed.
